Unverified Commit a21eb255 authored by Wenwei Zhang's avatar Wenwei Zhang Committed by GitHub
Browse files

bump to v2.8.0 (#4387)

parent 103a4dd8
......@@ -42,7 +42,7 @@ This project is released under the [Apache 2.0 license](LICENSE).
## Changelog
v2.7.0 was released in 30/11/2020.
v2.8.0 was released in 04/01/2021.
Please refer to [changelog.md](docs/changelog.md) for details and release history.
A comparison between v1.x and v2.0 codebases can be found in [compatibility.md](docs/compatibility.md).
......
## Changelog
### v2.8.0 (04/01/2021)
#### Highlights
- Support new methods: [Cascade RPN](https://arxiv.org/abs/1909.06720), [TridentNet](https://arxiv.org/abs/1901.01892)
#### New Features
- Support [Cascade RPN](https://arxiv.org/abs/1909.06720) (#1900)
- Support [TridentNet](https://arxiv.org/abs/1901.01892) (#3313)
#### Bug Fixes
- Fix bug of show result in async_benchmark (#4367)
- Fix scale factor in MaskTestMixin (#4366)
- Fix but when returning indices in `multiclass_nms` (#4362)
- Fix bug of empirical attention in resnext backbone error (#4300)
- Fix bug of `img_norm_cfg` in FCOS-HRNet models with updated performance and models (#4250)
- Fix invalid checkpoint and log in Mask R-CNN models on Cityscapes dataset (#4287)
- Fix bug in distributed sampler when dataset is too small (#4257)
- Fix bug of 'PAFPN has no attribute extra_convs_on_inputs' (#4235)
#### Improvements
- Update model url from aws to aliyun (#4349)
- Update ATSS for PyTorch 1.6+ (#4359)
- Update script to install ruby in pre-commit installation (#4360)
- Delete deprecated `mmdet.ops` (#4325)
- Refactor hungarian assigner for more general usage in Sparse R-CNN (#4259)
- Handle scipy import in DETR to reduce package dependencies (#4339)
- Update documentation of usages for config options after MMCV (1.2.3) supports overriding list in config (#4326)
- Update pre-train models of faster rcnn trained on COCO subsets (#4307)
- Avoid zero or too small value for beta in Dynamic R-CNN (#4303)
- Add doccumentation for Pytorch2ONNX (#4271)
- Add deprecated warning FPN arguments (#4264)
- Support returning indices of kept bboxes when using nms (#4251)
- Update type and device requirements when creating tensors `GFLHead` (#4210)
- Update device requirements when creating tensors in `CrossEntropyLoss` (#4224)
### v2.7.0 (30/11/2020)
- Support new method: [DETR](https://arxiv.org/abs/2005.12872), [ResNest](https://arxiv.org/abs/2004.08955), Faster R-CNN DC5.
......
......@@ -11,12 +11,13 @@ The compatible MMDetection and MMCV versions are as below. Please install the co
| MMDetection version | MMCV version |
|:-------------------:|:-------------------:|
| master | mmcv-full>=1.1.5, <1.3|
| master | mmcv-full>=1.2.4, <1.3|
| 2.8.0 | mmcv-full>=1.2.4, <1.3|
| 2.7.0 | mmcv-full>=1.1.5, <1.3|
| 2.6.0 | mmcv-full>=1.1.5, <1.3|
| 2.5.0 | mmcv-full>=1.1.5, <1.3|
| 2.4.0 | mmcv-full>=1.1.1, <1.3|
| 2.3.0 | mmcv-full==1.0.5|
| 2.3.0 | mmcv-full==1.0.5 |
| 2.3.0rc0 | mmcv-full>=1.0.2 |
| 2.2.1 | mmcv==0.6.2 |
| 2.2.0 | mmcv==0.6.2 |
......
......@@ -15,7 +15,7 @@ def digit_version(version_str):
return digit_version
mmcv_minimum_version = '1.1.5'
mmcv_minimum_version = '1.2.4'
mmcv_maximum_version = '1.3'
mmcv_version = digit_version(mmcv.__version__)
......
# Copyright (c) Open-MMLab. All rights reserved.
__version__ = '2.7.0'
__version__ = '2.8.0'
short_version = __version__
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment